允许从浮动图纸空间视口编辑模型。 支持的平台:仅窗口 属性值只读:不 类型:布尔
言论AutoCAD 在模型空间或图纸空间中运行。使用模型空间进行绘图和设计工作,以及创建 2D 工程图或 3D 模型。使用图纸空间创建图形的成品布局以进行打印或打印。 注意:在使用属性之前,必须将属性设置为 ,并且必须由属性打开对象的显示控件。MSpaceActiveSpaceacPaperSpacePViewportDisplay
例子工 务 局: Sub Example_MSpace() ' This example creates a new paper space viewport. ' It then toggles the ability to edit in model space using ' the MSpace property. Dim pviewportObj As AcadPViewport Dim center(0 To 2) As Double Dim width As Double Dim height As Double ' Define the paper space viewport center(0) = 3: center(1) = 3: center(2) = 0 width = 40 height = 40 ' Change from model space to paperspace ThisDrawing.ActiveSpace = acPaperSpace ' Create the paper space viewport Set pviewportObj = ThisDrawing.PaperSpace.AddPViewport(center, width, height) pviewportObj.DISPLAY True ThisDrawing.mspace = True ThisDrawing.ActivePViewport = pviewportObj ThisDrawing.Regen acAllViewports ' Find the current MSpace value MsgBox "The ability to edit model space from this PViewport is " & IIf(ThisDrawing.mspace, "on.", "off."), , "MSpace Example" ' Toggle the setting of MSpace ThisDrawing.mspace = False MsgBox "The ability to edit model space from this PViewport is now " & IIf(ThisDrawing.mspace, "on.", "off."), , "MSpace Example" End Sub Visual LISP: (vl-load-com) (defun c:Example_MSpace() ;; This example creates a new paper space viewport. ;; It then toggles the ability to edit in model space using ;; the MSpace property. (setq acadObj (vlax-get-acad-object)) (setq doc (vla-get-ActiveDocument acadObj)) ;; Define the paper space viewport (setq center (vlax-3d-point 3 3 0) width 40 height 40) ;; Change from model space to paperspace (vla-put-ActiveSpace doc acPaperSpace) ;; Create the paper space viewport (setq paperSpace (vla-get-PaperSpace doc)) (setq pviewportObj (vla-AddPViewport paperSpace center width height)) (vla-Display pviewportObj :vlax-true) (vla-put-MSpace doc :vlax-true) (vla-put-ActivePViewport doc pviewportObj) (vla-Regen doc acAllViewports) ;; Find the current MSpace value (alert (strcat "The ability to edit model space from this PViewport is " (if (= (vla-get-MSpace doc) :vlax-true) "on." "off."))) ;; Toggle the setting of MSpace (vla-put-MSpace doc :vlax-false) (alert (strcat "The ability to edit model space from this PViewport is now " (if (= (vla-get-MSpace doc) :vlax-true) "on." "off."))) ) |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:12
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.